> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rumorz.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get_ranking

> Returns a ranking of entities in the Graph based on the given parameters.



## OpenAPI

````yaml api-reference/openapi.yaml post /graph/get_ranking
openapi: 3.0.0
info:
  title: Rumorz API
  version: v0
  description: >-
    This is the Rumorz API for accessing Financial markets AI intelligence
    through the Graph and Agent endpoints.
servers:
  - url: https://rumorz.azurewebsites.net/v0
security:
  - ApiKeyAuth: []
paths:
  /graph/get_ranking:
    post:
      tags:
        - Graph
      summary: get_ranking
      description: >-
        Returns a ranking of entities in the Graph based on the given
        parameters.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                lookback:
                  type: string
                  enum:
                    - 1H
                    - 6H
                    - 12H
                    - 1D
                    - 7D
                    - 30D
                    - 90D
                entity_type:
                  type: string
                  enum:
                    - financial_asset
                    - company
                    - organization
                    - person
                    - place
                sort_by:
                  type: string
                  enum:
                    - mentions
                    - sentiment
                    - excitement
                    - optimism
                    - pessimism
                    - fear
                    - uncertainty
                    - surprise
                ascending:
                  type: boolean
                page:
                  type: integer
                limit:
                  type: integer
            example:
              lookback: 1D
              entity_type: financial_asset
              sort_by: mentions
              ascending: false
              page: 1
              limit: 10
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````